Entur Developer
Entur shared mobility API

POST
https://api.entur.io/shared-mobility/v1
/bookings/{transportOperatorBookingId}/notification

Send a message to the end user

path Parameters

transportOperatorBookingId
​string · required · style: simple

Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

Request Body

originOperator
​string · required
message
​string | null

Responses

Invalid request data

type
​string · required
status
​integer · int32 · required
title
​string · required
detail
​string · required
instance
​string · required
timestamp
​string · date-time · required
exception
​string · required
error
​string · required
message
​string · required
path
​string · required

POST
https://api.entur.io/shared-mobility/v1
/bookings/leg/{transportOperatorLegId}/event

Change the leg event for a one-stop booking

path Parameters

transportOperatorLegId
​string · required · style: simple

query Parameters

oneStopState
​string · enum · required · style: form · explode: true
Enum values:
PREPARE
START
PAUSE
RESUME
START_FINISHING
FINISH
CANCEL

Headers

Operator-Id
​string · required · style: simple
ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

Responses

Invalid request data

type
​string · required
status
​integer · int32 · required
title
​string · required
detail
​string · required
instance
​string · required
timestamp
​string · date-time · required
exception
​string · required
error
​string · required
message
​string · required
path
​string · required

Did you find what you were looking for?